from aerforgesdl import *

from aerforgesdl.prefabs.gravity import Gravity

class PlatformerController(Entity):
    def __init__(self, window, x = 0, y = 0, width = 50, height = 100, color = Color(240, 240, 240), jump_force = -13, gravity = 0.6, sprint_speed = 10, walk_speed = 5):
        super().__init__(
            window = window,
            width = width,
            height = height,
            x = x, 
            y = y,
            color = color
        )

        self.window = window

        self.objects = []

        self.gravity = Gravity(self, gravity = gravity)

        self.speed = 0
        self.jump_force = jump_force
        self.sprint_speed = sprint_speed
        self.walk_speed = walk_speed

    def update(self):
        self.gravity.objects = self.objects

        if self.window.input.key_pressed(self.window.keys["SPACE"]) and self.gravity.grounded:
            self.gravity.force(self.jump_force)

        if self.window.input.key_pressed(self.window.keys["LSHIFT"]):
            self.speed = self.sprint_speed
        else:
            self.speed = self.walk_speed

        if self.window.input.key_pressed(self.window.keys["A"]):
            self.x = self.x - self.speed

        if self.window.input.key_pressed(self.window.keys["D"]):
            self.x = self.x + self.speed

        self.gravity.update()